<?php
require'fun.php';
$titlu='Retrage lei din banca';
$back[1]='<a href="/banca">'.img('banca.gif',1).'Banca</a>';
require'f_sus.php';
require'f_mut.php';
$resurse_disponibile=$conn->query('SELECT`banca_lei`,`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row();
if(preg_match('/[^0-9]/',$pmtext))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii!",`de`="'.$de.'",`text`="a încercat să retraga din banca '.$pmtext.' lei, avand un număr de [b]'.number_format($resurse_disponibile[1]).'[/b] în cont, și [b]'.number_format($resurse_disponibile[0]).'[/b] în banca.",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0",`banca_lei`="0"WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'N-ai voie sa faci asta!';
}
else
{
if($resurse_disponibile[0]>=$pmtext)
{
$conn->query('UPDATE`membrii`SET`banca_lei`=banca_lei-'.$pmtext.',`lei`=lei+'.$pmtext.' WHERE`id`="'.$de.'"');
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Transfer",`de`="'.$de.'",`text`="a retras '.$pmtext.' lei din banca",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai retras cu succes '.$pmtext.' lei din banca!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai destui lei în banca pentru a retrage!';
}
echo$div[0];
require'f_jos.php';